var __getOwnPropSymbols = Object.getOwnPropertySymbols;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __propIsEnum = Object.prototype.propertyIsEnumerable;
var __objRest = (source, exclude) => {
  var target = {};
  for (var prop in source)
    if (__hasOwnProp.call(source, prop) && exclude.indexOf(prop) < 0)
      target[prop] = source[prop];
  if (source != null && __getOwnPropSymbols)
    for (var prop of __getOwnPropSymbols(source)) {
      if (exclude.indexOf(prop) < 0 && __propIsEnum.call(source, prop))
        target[prop] = source[prop];
    }
  return target;
};
import { mergeProps as _mergeProps, createVNode as _createVNode } from "vue";
import { Spin } from "ant-design-vue";
const PageLoading = (props, {
  attrs
}) => {
  const _a = props, {
    isLoading,
    pastDelay,
    timedOut,
    error,
    retry
  } = _a, reset = __objRest(_a, [
    "isLoading",
    "pastDelay",
    "timedOut",
    "error",
    "retry"
  ]);
  return _createVNode("div", {
    "style": {
      paddingBlockStart: `100px`,
      textAlign: "center"
    }
  }, [_createVNode(Spin, _mergeProps({
    "size": "large"
  }, reset), null)]);
};
export {
  PageLoading
};
